AbstractConstraint (Grails 3.0.10.BUILD-SNAPSHOT)
Date: 2015-12-03

Package: grails.validation

## [Java] Class AbstractConstraint

- grails.validation.AbstractConstraint

- All Implemented Interfaces and Traits:
    Constraint

      public abstract class AbstractConstraint
      extends java.lang.Object

  Abstract class for constraints to extend.

  Authors:
    Graeme Rocher

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected java.lang.String` | `classShortName` |
    `protected java.lang.Class<?>` | `constraintOwningClass` |
    `protected java.lang.Object` | `constraintParameter` |
    `protected java.lang.String` | `constraintPropertyName` |
    `protected org.springframework.context.MessageSource` | `messageSource` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected void` | `checkState()`
    `protected java.lang.String` | `getDefaultMessage(java.lang.String code)` Returns the default message for the given message code in the current locale.
    `java.lang.Object` | `getParameter()`
    `java.lang.String` | `getPropertyName()`
    `boolean` | `isValid()` Return whether the constraint is valid for the owning class
    `protected void` | `processValidate(java.lang.Object target, java.lang.Object propertyValue, org.springframework.validation.Errors errors)`
    `void` | `rejectValue(java.lang.Object target, org.springframework.validation.Errors errors, java.lang.String defaultMessageCode, java.lang.Object[] args)`
    `void` | `rejectValue(java.lang.Object target, org.springframework.validation.Errors errors, java.lang.String defaultMessageCode, java.lang.String code, java.lang.Object[] args)`
    `void` | `rejectValue(java.lang.Object target, org.springframework.validation.Errors errors, java.lang.String defaultMessageCode, java.lang.String[] codes, java.lang.Object[] args)`
    `void` | `rejectValue(java.lang.Object target, org.springframework.validation.Errors errors, java.lang.String code, java.lang.String defaultMessage)`
    `void` | `rejectValue(java.lang.Object target, org.springframework.validation.Errors errors, java.lang.String code, java.lang.Object[] args, java.lang.String defaultMessage)`
    `void` | `rejectValueWithDefaultMessage(java.lang.Object target, org.springframework.validation.Errors errors, java.lang.String defaultMessage, java.lang.String[] codes, java.lang.Object[] args)`
    `void` | `setMessageSource(org.springframework.context.MessageSource source)`
    `void` | `setOwningClass(java.lang.Class constraintOwningClass)` {@inheritDoc}
    `void` | `setParameter(java.lang.Object constraintParameter)` @param constraintParameter The constraintParameter to set.
    `void` | `setPropertyName(java.lang.String constraintPropertyName)` @param constraintPropertyName The constraintPropertyName to set.
    `protected boolean` | `skipBlankValues()`
    `protected boolean` | `skipNullValues()`
    `java.lang.String` | `toString()`
    `void` | `validate(java.lang.Object target, java.lang.Object propertyValue, org.springframework.validation.Errors errors)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected java.lang.String classShortName

    - #### protected java.lang.Class<?> constraintOwningClass

    - #### protected java.lang.Object constraintParameter

    - #### protected java.lang.String constraintPropertyName

    - #### protected org.springframework.context.MessageSource messageSource

  - ### Method Detail

    - #### protected void checkState()

    - #### protected java.lang.String getDefaultMessage(java.lang.String code)

      Returns the default message for the given message code in the current locale. Note that the string returned includes any placeholders that the required message has - these must be expanded by the caller if required.

      Parameters:
        `code` - The i18n message code to look up.
      Returns:
        The message corresponding to the given code in the current locale.

    - #### public java.lang.Object getParameter()

    - #### public java.lang.String getPropertyName()

    - #### public boolean isValid()

      Return whether the constraint is valid for the owning class

      Returns:
        true if it is

    - #### protected void processValidate(java.lang.Object target, java.lang.Object propertyValue, org.springframework.validation.Errors errors)

    - #### public void rejectValue(java.lang.Object target, org.springframework.validation.Errors errors, java.lang.String defaultMessageCode, java.lang.Object[] args)

    - #### public void rejectValue(java.lang.Object target, org.springframework.validation.Errors errors, java.lang.String defaultMessageCode, java.lang.String code, java.lang.Object[] args)

    - #### public void rejectValue(java.lang.Object target, org.springframework.validation.Errors errors, java.lang.String defaultMessageCode, java.lang.String[] codes, java.lang.Object[] args)

    - #### public void rejectValue(java.lang.Object target, org.springframework.validation.Errors errors, java.lang.String code, java.lang.String defaultMessage)

    - #### public void rejectValue(java.lang.Object target, org.springframework.validation.Errors errors, java.lang.String code, java.lang.Object[] args, java.lang.String defaultMessage)

    - #### public void rejectValueWithDefaultMessage(java.lang.Object target, org.springframework.validation.Errors errors, java.lang.String defaultMessage, java.lang.String[] codes, java.lang.Object[] args)

    - #### public void setMessageSource(org.springframework.context.MessageSource source)

    - #### @java.lang.SuppressWarnings("rawtypes") public void setOwningClass(java.lang.Class constraintOwningClass)

      {@inheritDoc}

      See Also:
        Constraint.setOwningClass

    - #### public void setParameter(java.lang.Object constraintParameter)

      Parameters:
        `constraintParameter` - The constraintParameter to set.

    - #### public void setPropertyName(java.lang.String constraintPropertyName)

      Parameters:
        `constraintPropertyName` - The constraintPropertyName to set.

    - #### protected boolean skipBlankValues()

    - #### protected boolean skipNullValues()

    - #### @java.lang.Override public java.lang.String toString()

    - #### public void validate(java.lang.Object target, java.lang.Object propertyValue, org.springframework.validation.Errors errors)